import { AfterViewInit, OnInit, OnDestroy, ViewContainerRef, ElementRef, Renderer2, Injector, TemplateRef } from "@angular/core";
import { JoyrideStep } from "../../models/joyride-step.class";
import { JoyrideStepsContainerService } from "../../services/joyride-steps-container.service";
import { EventListenerService } from "../../services/event-listener.service";
import { DocumentService } from "../../services/document.service";
import { JoyrideOptionsService } from "../../services/joyride-options.service";
import { Logger } from "../../services/logger.service";
export declare class JoyrideStepComponent implements OnInit, OnDestroy, AfterViewInit {
    private readonly stepsContainerService;
    private readonly eventListenerService;
    private readonly documentService;
    private readonly viewContainerRef;
    private readonly renderer;
    private readonly logger;
    private readonly optionsService;
    stepWidth: number;
    stepHeight: number;
    leftPosition: number;
    topPosition: number;
    showArrow: boolean;
    arrowPosition: string;
    arrowLeftPosition: number;
    arrowTopPosition: number;
    closeSvg: any;
    title: string;
    text: string;
    counter: string;
    isCounterVisible: boolean;
    isPrevButtonVisible: boolean;
    themeColor: string;
    customContent: TemplateRef<any>;
    private arrowSize;
    private stepAbsoluteLeft;
    private stepAbsoluteTop;
    private targetWidth;
    targetHeight: number;
    private targetOffsetTop;
    private targetOffsetLeft;
    private targetAbsoluteLeft;
    private targetAbsoluteTop;
    private subscriptions;
    private joyrideStepService;
    private positionAlreadyFixed;
    step?: JoyrideStep;
    stepHolder: ElementRef;
    stepContainer: ElementRef;
    constructor(injector: Injector, stepsContainerService: JoyrideStepsContainerService, eventListenerService: EventListenerService, documentService: DocumentService, viewContainerRef: ViewContainerRef, renderer: Renderer2, logger: Logger, optionsService: JoyrideOptionsService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private drawStep();
    private getCounter();
    prev(): void;
    next(): void;
    close(): void;
    isFirstStep(): boolean;
    isLastStep(): boolean;
    private setStepStyle();
    private setStyleTop();
    private setStyleRight();
    private setStyleBottom();
    private setStyleLeft();
    private setStyleCenter();
    private adjustLeftPosition();
    private adjustRightPosition();
    private adjustTopPosition();
    private adjustBottomPosition();
    private autofixTopPosition();
    private autofixRightPosition();
    private autofixBottomPosition();
    private autofixLeftPosition();
    private subscribeToResizeEvents();
    private getDimensionsByAspectRatio(width, height, aspectRatio);
    private adjustDimensions(width, height);
    ngOnDestroy(): void;
}
